Bug 1420395 - [3.3] conntrack executable not found on $PATH during cluster horizontal run
Summary: [3.3] conntrack executable not found on $PATH during cluster horizontal run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.3.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.3.1
Assignee: Giuseppe Scrivano
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1420182
Blocks: 1420393
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:48 UTC by Scott Dodson
Modified: 2017-03-06 16:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
OCP 3.4 and 3.3 introduced a requirement on the conntrack executable but this dependency was not enforced at install time so service proxy management may have failed post installation. The installer now ensures that conntrack is installed.
Clone Of: 1420182
Environment:
Last Closed: 2017-03-06 16:38:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0448 0 normal SHIPPED_LIVE Important: ansible and openshift-ansible security and bug fix update 2017-03-06 21:36:25 UTC

Comment 1 Scott Dodson 2017-02-08 14:52:35 UTC
This dependency was introduced in 3.3 so cloning to 3.3.1

Comment 2 Giuseppe Scrivano 2017-02-16 09:17:51 UTC
Scott, do I need to backport the patch somewhere to get this done?

Comment 3 Scott Dodson 2017-02-16 14:35:41 UTC
Yes, sorry I should've mentioned that. The image change change in origin covers OCP 3.5, but for OCP 3.4 -> 3.3 we need a PR against ose/enterprise-3.4 and ose/enterprise-3.3 branches.

And the ansible changes need to have PRs against openshift-ansible/release-1.4 and openshift-ansible/release-1.3 as well.

Comment 4 Giuseppe Scrivano 2017-02-16 15:07:14 UTC
thanks, where is the ose repository hosted?  I've never worked on it before

Comment 5 Giuseppe Scrivano 2017-02-16 19:50:00 UTC
openshift-ansible change: https://github.com/openshift/openshift-ansible/pull/3384

Comment 8 Johnny Liu 2017-02-22 03:21:48 UTC
For rpm install, test this bug withopenshift-ansible-3.3.65-1.git.0.1c66f89.el7.noarch, and PASS.

The following step is shown in node install.
TASK [openshift_node : Install conntrack-tools package] ************************

After installation, check rpm package.
# rpm -q conntrack-tools
conntrack-tools-1.4.3-1.el7.x86_64

Comment 11 errata-xmlrpc 2017-03-06 16:38:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0448


Note You need to log in before you can comment on or make changes to this bug.